%perl_module_wo_prefix spamassassin 3.2.1 41
%define pkgname Mail-SpamAssassin

Summary: Spam filter for email which can be invoked from mail delivery agents
License: Apache
Group: Applications/Internet
URL: http://spamassassin.apache.org/
Source0: http://www.apache.org/dist/spamassassin/source/Mail-SpamAssassin-%{version}.tar.bz2
Source1: http://www.apache.org/dist/spamassassin/source/Mail-SpamAssassin-%{version}.tar.bz2.asc
Source2: redhat_local3.cf
Source3: spamassassin-default.rc
Source4: spamassassin-spamc.rc
Source5: spamassassin.sysconfig
Source6: sa-update.logrotate
Source88: sa-update.cron
Source10: spamassassin-helper.sh
Source20: http://www.timj.co.uk/linux/bogus-virus-warnings.cf
Source30: http://saupdates.openprotect.com/pub.gpg
Patch0: Mail-SpamAssassin-3.0.0-krb5.patch
Buildroot: %{_tmppath}/%{name}-root
Requires(pre): /sbin/chkconfig /sbin/service

BuildRequires: openssl-devel, krb5-devel
BuildRequires: autoconf
BuildRequires: perl >= 1:5.6.1
#
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(HTML::Parser) >= 3.43
BuildRequires: perl(Net::DNS) >= 0.58
BuildRequires: perl(LWP), perl(LWP::UserAgent)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(IO::Zlib) >= 1.04
BuildRequires: perl(Archive::Tar) >= 1.23
#
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(DB_File)
BuildRequires: perl(Net::SMTP)
BuildRequires: perl(Mail::SPF::Query)
BuildRequires: perl(Mail::SPF)
#BuildRequires: perl(IP::Country::Fast)
#BuildRequires: perl(Net::Ident)
BuildRequires: perl(IO::Socket::INET6)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Mail::DomainKeys)
BuildRequires: perl(Mail::DKIM) >= 0.20
BuildRequires: perl(DBI)
#BuildRequires: perl(DBD::...)
BuildRequires: perl(Encode::Detect)
BuildRequires: perl(Apache::Test)
BuildRequires: mod_perl
BuildRequires: perl(Razor2::Client::Version) >= 2.61

BuildRequires: perl(Getopt::Long) >= 2.34
BuildRequires: %{_bindir}/dccproc
BuildRequires: %{_bindir}/pyzor

Requires: perl(Digest::SHA1)
Requires: perl(HTML::Parser) >= 3.43
Requires: perl(Net::DNS) >= 0.58
Requires: perl(LWP), perl(LWP::UserAgent)
Requires: perl(HTTP::Date)
Requires: perl(IO::Zlib) >= 1.04
Requires: perl(Archive::Tar) >= 1.23
#
Requires: perl(MIME::Base64)
Requires: perl(DB_File)
Requires: perl(Net::SMTP)
Requires: perl(Mail::SPF::Query)
Requires: perl(Mail::SPF)
#Requires: perl(IP::Country::Fast)
#Requires: perl(Net::Ident)
Requires: perl(IO::Socket::INET6)
Requires: perl(IO::Socket::SSL)
Requires: perl(Compress::Zlib)
Requires: perl(Time::HiRes)
Requires: perl(Mail::DomainKeys)
Requires: perl(Mail::DKIM) >= 0.20
Requires: perl(DBI)
#Requires: perl(DBD::...)
Requires: perl(Encode::Detect)
Requires: perl(Apache::Test)
Requires: mod_perl
Requires: perl(Razor2::Client::Version) >= 2.61

Requires: perl(Getopt::Long) >= 2.34
Requires: %{_bindir}/dccproc
Requires: %{_bindir}/pyzor

Requires: procmail
Requires: gnupg

Obsoletes: perl-Mail-SpamAssassin <= %{eversion}

%description
SpamAssassin provides you with a way to reduce if not completely eliminate
Unsolicited Commercial Email (SPAM) from your incoming email.  It can
be invoked by a MDA such as sendmail or postfix, or can be called from
a procmail script, .forward file, etc.  It uses a genetic-algorithm
evolved scoring system to identify messages which look spammy, then
adds headers to the message so they can be filtered by the user's mail
reading software.  This distribution includes the spamd/spamc components
which create a server that considerably speeds processing of mail.

To enable spamassassin, if you are receiving mail locally, simply add
this line to your ~/.procmailrc:
INCLUDERC=/etc/mail/spamassassin/spamassassin-default.rc

To filter spam for all users, add that line to /etc/procmailrc
(creating if necessary).

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .krb5

%build
(cd spamc; autoconf)
%define _perl_buildroot %{nil}
%perl_configure ENABLE_SSL=yes
%perl_make
%perl_makecheck
mv spamd/README spamd/README.spamd

%install
rm -rf %{buildroot}
%perl_makeinstall DESTDIR=%{buildroot}
install -d %buildroot/%{_initrddir}
install -p -m 0755 spamd/redhat-rc-script.sh %buildroot/%{_initrddir}/spamassassin

mkdir -p %{buildroot}%{_sysconfdir}/mail/spamassassin
mkdir -p -m 0700 %{buildroot}%{_sysconfdir}/mail/spamassassin/sa-update-keys
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
mkdir -p %{buildroot}%{_sysconfdir}/cron.daily
install -p -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/mail/spamassassin/local.cf
install -p -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/sysconfig/spamassassin

install -p -m 0644 %{SOURCE3} %buildroot/etc/mail/spamassassin
install -p -m 0644 %{SOURCE4} %buildroot/etc/mail/spamassassin
install -p -m 0755 %{SOURCE10} %buildroot/etc/mail/spamassassin
install -p -m 0644 %{SOURCE6} %buildroot/etc/logrotate.d/sa-update
install -p -m 0755 %{SOURCE88} %buildroot/etc/cron.daily/sa_update

install -p -m 0644 %{SOURCE20} %buildroot%{_datadir}/spamassassin/99_bogus-virus-warnings.cf

install -p -m 0644 %{SOURCE30} %buildroot%{_datadir}/spamassassin/sa-update-openprotect-sare.txt

mkdir -p %buildroot/var/lib/spamassassin

%files
%defattr(-,root,root,-)
%doc README Changes sample-nonspam.txt sample-spam.txt spamd/README.spamd
%doc UPGRADE LICENSE TRADEMARK NOTICE USAGE CREDITS

%{perl_vendorlib}/Mail/SpamAssassin.pm
%{perl_vendorlib}/Mail/SpamAssassin
%{perl_man3dir}/Mail::SpamAssassin*.3pm*
%{perl_vendorlib}/spamassassin-run.pod
%{_datadir}/spamassassin

%{_bindir}/sa-learn
%{_bindir}/spamassassin
%{_bindir}/sa-update
%{_bindir}/sa-compile
%{_mandir}/man1/sa-learn.1*
%{_mandir}/man1/sa-update.1*
%{_mandir}/man1/spamassassin*.1*
%{_mandir}/man1/sa-compile.1*
%{_mandir}/man3/spamassassin-run.3pm*
%config(noreplace) %{_sysconfdir}/mail/spamassassin
%config(noreplace) %{_sysconfdir}/sysconfig/spamassassin
%{_sysconfdir}/cron.daily/sa_update
/var/lib/spamassassin
%{_sysconfdir}/logrotate.d/sa-update

%{_bindir}/spamd
%{_mandir}/man1/spamd.1*
%{_initrddir}/spamassassin

%{_bindir}/spamc
%{_mandir}/man1/spamc.1*

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add spamassassin

if [ -f /etc/spamassassin.cf ]; then
        %{__mv} /etc/spamassassin.cf /etc/mail/spamassassin/migrated.cf
fi
if [ -f /etc/mail/spamassassin.cf ]; then
        %{__mv} /etc/mail/spamassassin.cf /etc/mail/spamassassin/migrated.cf
fi

sa-update --import %{_datadir}/spamassassin/sa-update-openprotect-sare.txt

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service spamassassin condrestart > /dev/null 2>&1
fi

%preun
if [ $1 = 0 ] ; then
    /sbin/service spamassassin stop >/dev/null 2>&1
    /sbin/chkconfig --del spamassassin
fi
exit 0

%changelog
* Tue Jun 12 2007 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.2.1.
- Rename %{_sysconfdir}/cron.daily/sa-update sa_update to avoid
  conflict with mailscanner project.

* Sat May  5 2007 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.2.0.
- Sync with rawhide's sa-update cron.

* Thu Feb 15 2007 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.1.8.

* Wed Oct 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.1.7.

* Fri Oct  6 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.1.6.

* Wed Aug 30 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.1.5.

* Fri Jul 28 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.1.4.

* Wed Jun  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.1.3.

* Fri May 26 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.1.2.

* Sun Mar 12 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.1.1.

* Thu Sep 15 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.1.0.

* Thu Jun  9 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.0.4.

* Fri Apr 29 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.0.3.

* Fri Dec 17 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.0.2.

* Tue Dec 14 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add support for collateral spam.

* Sat Oct 23 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.0.1.

* Wed Sep 22 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.0.0 final.

* Fri Sep 17 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.0.0-rc5.

* Thu Aug  5 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.0.0-pre4.

* Thu Jul 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.0.0-pre3.

* Thu Jan 22 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Update to 2.63.

* Mon Jan 19 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Update to 2.62.

* Mon Jan 12 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Sync with rawhide (remove servicename patch).

* Tue Dec  9 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Upgrade to 2.61.

* Wed Sep 24 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Upgrade to 2.60.
- Sync with rawhide.

* Sat Jul  5 2003 Chip Turner <cturner@redhat.com> 2.55-3
- change perl dependency to more accurate versions with explicit epochs

* Wed Apr 16 2003 Chip Turner <cturner@redhat.com> 2.53-5
- remove SIGCHILD patch to properly return it to SIG_IGN now that
  waitpid isn't used on Linux

* Mon Apr 14 2003 Chip Turner <cturner@redhat.com> 2.53-4.8.x
- update to 2.53 from upstream

* Fri Mar 21 2003 Chip Turner <cturner@redhat.com> 2.50-3.8.x
- update patch for servicename; should fix restarting/runlevel issues (#85975)

* Thu Mar 13 2003 Chip Turner <cturner@redhat.com> 2.50-2.8.x
- update to 2.50

* Tue Feb 25 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 21 2003 Chip Turner <cturner@redhat.com>
- revert double fix for 84774

* Mon Feb 17 2003 Bill Nottingham <notting@redhat.com>
- fix startup (#84445)

* Thu Feb 13 2003 Bill Nottingham <notting@redhat.com>
- fix paths in initscript (#84216)

* Thu Feb 13 2003 Chip Turner <cturner@redhat.com>
- removing -P option since it is the default now, bug 84144

* Wed Feb 12 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- fix SIGCHLD handling

* Mon Feb 10 2003 Bill Nottingham <notting@redhat.com>
- move condrestart to %%postun

* Sun Feb  2 2003 Chip Turner <cturner@redhat.com>
- update to 2.44
- add condrestart to service script

* Thu Jan 30 2003 Chip Turner <cturner@redhat.com>
- release bump and rebuild

* Wed Jan 29 2003 Chip Turner <cturner@redhat.com>
- add upstream bsmtp off-by-one patch

* Mon Jan 20 2003 Chip Turner <cturner@redhat.com>
- add wrapper for 'spamassassin -e' for native evolution spam filtering

* Sat Jan  4 2003 Jeff Johnson <jbj@redhat.com> 2.43-10
- use internal dep generator.

* Wed Jan  1 2003 Chip Turner <cturner@redhat.com>
- rebuild

* Tue Dec 17 2002 Bill Nottingham <notting@redhat.com> 2.43-7
- don't run by default

* Sat Dec 14 2002 Tim Powers <timp@redhat.com> 2.43-6
- don't use rpms internal dep generator
- buildrequire perl-Time-HiRes instead of perl(Time:HiRes) so we can satisfy build deps in the build system

* Fri Nov 22 2002 Tim Powers <timp@redhat.com>
- rebuilt to solve broken perl deps

* Thu Aug 15 2002 Chip Turner <cturner@redhat.com>
- speedup patch from upstream

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Thu Jul 18 2002 Chip Turner <cturner@redhat.com>
- better control of service level, improvement in %%post script.
- (contribs from schirmer@taytron.net)

* Fri Jun 28 2002 Chip Turner <cturner@redhat.com>
- added proper BuildRequire

* Wed Jun 26 2002 Chip Turner <cturner@redhat.com>
- updated to 2.31, added .rc file for procmail to INCLUDERC to enable

* Fri Apr 19 2002 Theo Van Dinter <felicity@kluge.net>
- Updated for 2.20 release
- made /etc/mail/spamassassin a config directory so local.cf doesn't get wiped out
- added a patch to remove findbin stuff

* Wed Feb 27 2002 Craig Hughes <craig@hughes-family.org>
- Updated for 2.1 release

* Sat Feb 02 2002 Theo Van Dinter <felicity@kluge.net>
- Updates for 2.01 release
- Fixed rc file
- RPM now buildable as non-root
- fixed post_service errors
- fixed provides to include perl modules
- use file find instead of manually specifying files

* Tue Jan 15 2002 Craig Hughes <craig@hughes-family.org>
- Updated for 2.0 release

* Wed Dec 05 2001 Craig Hughes <craig@hughes-family.org>
- Updated for final 1.5 distribution.

* Sun Nov 18 2001 Craig Hughes <craig@hughes-family.org>
- first version of rpm.

